Skip to content
GitLab
Menu
Projects
Groups
Snippets
Loading...
Help
Help
Support
Community forum
Keyboard shortcuts
?
Submit feedback
Contribute to GitLab
Sign in / Register
Toggle navigation
Menu
Open sidebar
OpenDAS
vision
Commits
4125d3a0
"\" did not exist on "871f7e63056be679cbe5784ab4cc1da347648940"
Unverified
Commit
4125d3a0
authored
May 24, 2023
by
Philip Meier
Committed by
GitHub
May 24, 2023
Browse files
kill CircleCI (#7611)
parent
285500d6
Changes
40
Show whitespace changes
Inline
Side-by-side
Showing
20 changed files
with
1 addition
and
648 deletions
+1
-648
.circleci/unittest/windows/scripts/run_test.sh
.circleci/unittest/windows/scripts/run_test.sh
+0
-12
.circleci/unittest/windows/scripts/set_cuda_envs.sh
.circleci/unittest/windows/scripts/set_cuda_envs.sh
+0
-48
.circleci/unittest/windows/scripts/setup_env.sh
.circleci/unittest/windows/scripts/setup_env.sh
+0
-45
.circleci/unittest/windows/scripts/vc_env_helper.bat
.circleci/unittest/windows/scripts/vc_env_helper.bat
+0
-39
.gitattributes
.gitattributes
+0
-3
.github/scripts/run-clang-format.py
.github/scripts/run-clang-format.py
+0
-0
.github/workflows/lint.yml
.github/workflows/lint.yml
+1
-1
packaging/README.md
packaging/README.md
+0
-6
packaging/build_cmake.sh
packaging/build_cmake.sh
+0
-129
packaging/build_conda.sh
packaging/build_conda.sh
+0
-16
packaging/build_wheel.sh
packaging/build_wheel.sh
+0
-60
packaging/vs2017/activate.bat
packaging/vs2017/activate.bat
+0
-44
packaging/vs2017/conda_build_config.yaml
packaging/vs2017/conda_build_config.yaml
+0
-23
packaging/vs2017/install_activate.bat
packaging/vs2017/install_activate.bat
+0
-29
packaging/vs2017/install_runtime.bat
packaging/vs2017/install_runtime.bat
+0
-49
packaging/vs2017/meta.yaml
packaging/vs2017/meta.yaml
+0
-24
packaging/vs2019/install_runtime.bat
packaging/vs2019/install_runtime.bat
+0
-49
packaging/windows/internal/driver_update.bat
packaging/windows/internal/driver_update.bat
+0
-25
packaging/windows/internal/vs2017_install.ps1
packaging/windows/internal/vs2017_install.ps1
+0
-25
packaging/windows/internal/vs2019_install.ps1
packaging/windows/internal/vs2019_install.ps1
+0
-21
No files found.
.circleci/unittest/windows/scripts/run_test.sh
deleted
100644 → 0
View file @
285500d6
#!/usr/bin/env bash
set
-e
eval
"
$(
./conda/Scripts/conda.exe
'shell.bash'
'hook'
)
"
conda activate ./env
this_dir
=
"
$(
cd
"
$(
dirname
"
${
BASH_SOURCE
[0]
}
"
)
"
>
/dev/null 2>&1
&&
pwd
)
"
source
"
$this_dir
/set_cuda_envs.sh"
python
-m
torch.utils.collect_env
pytest
--junitxml
=
test-results/junit.xml
-v
--durations
20
.circleci/unittest/windows/scripts/set_cuda_envs.sh
deleted
100644 → 0
View file @
285500d6
#!/usr/bin/env bash
set
-ex
echo
CU_VERSION is
"
${
CU_VERSION
}
"
echo
CUDA_VERSION is
"
${
CUDA_VERSION
}
"
# Currenly, CU_VERSION and CUDA_VERSION are not consistent.
# to understand this code, see https://github.com/pytorch/vision/issues/4443
version
=
"cpu"
if
[[
!
-z
"
${
CUDA_VERSION
}
"
]]
;
then
version
=
"
$CUDA_VERSION
"
else
if
[[
${#
CU_VERSION
}
-eq
5
]]
;
then
version
=
"
${
CU_VERSION
:2:2
}
.
${
CU_VERSION
:4:1
}
"
fi
fi
# Don't use if [[ "$version" == "cpu" ]]; then exit 0 fi.
# It would exit the shell. One result is cpu tests would not run if the shell exit.
# Unless there's an error, Don't exit.
if
[[
"
$version
"
!=
"cpu"
]]
;
then
# set cuda envs
export
PATH
=
"/c/Program Files/NVIDIA GPU Computing Toolkit/CUDA/v
${
version
}
/bin:/c/Program Files/NVIDIA GPU Computing Toolkit/CUDA/v
${
version
}
/libnvvp:
$PATH
"
export
CUDA_PATH_V
${
version
/./_
}
=
"C:
\P
rogram Files
\N
VIDIA GPU Computing Toolkit
\C
UDA
\v
${
version
}
"
export
CUDA_PATH
=
"C:
\P
rogram Files
\N
VIDIA GPU Computing Toolkit
\C
UDA
\v
${
version
}
"
if
[
!
-d
"
$CUDA_PATH
"
]
;
then
echo
"
$CUDA_PATH
"
does not exist
exit
1
fi
if
[
!
-f
"
${
CUDA_PATH
}
\i
nclude
\n
vjpeg.h"
]
;
then
echo
"nvjpeg does not exist"
exit
1
fi
# check cuda driver version
for
path
in
'/c/Program Files/NVIDIA Corporation/NVSMI/nvidia-smi.exe'
/c/Windows/System32/nvidia-smi.exe
;
do
if
[[
-x
"
$path
"
]]
;
then
"
$path
"
||
echo
"true"
;
break
fi
done
which nvcc
nvcc
--version
env
|
grep
CUDA
fi
.circleci/unittest/windows/scripts/setup_env.sh
deleted
100644 → 0
View file @
285500d6
#!/usr/bin/env bash
# This script is for setting up environment in which unit test is ran.
# To speed up the CI time, the resulting environment is cached.
#
# Do not install PyTorch and torchvision here, otherwise they also get cached.
set
-ex
this_dir
=
"
$(
cd
"
$(
dirname
"
${
BASH_SOURCE
[0]
}
"
)
"
>
/dev/null 2>&1
&&
pwd
)
"
root_dir
=
"
$(
git rev-parse
--show-toplevel
)
"
conda_dir
=
"
${
root_dir
}
/conda"
env_dir
=
"
${
root_dir
}
/env"
cd
"
${
root_dir
}
"
# 1. Install conda at ./conda
if
[
!
-d
"
${
conda_dir
}
"
]
;
then
printf
"* Installing conda
\n
"
export
tmp_conda
=
"
$(
echo
$conda_dir
|
tr
'/'
'\\'
)
"
export
miniconda_exe
=
"
$(
echo
$root_dir
|
tr
'/'
'\\'
)
\\
miniconda.exe"
curl
--output
miniconda.exe https://repo.anaconda.com/miniconda/Miniconda3-latest-Windows-x86_64.exe
-O
"
$this_dir
/install_conda.bat"
unset
tmp_conda
unset
miniconda_exe
fi
eval
"
$(
${
conda_dir
}
/Scripts/conda.exe
'shell.bash'
'hook'
)
"
# 2. Create test environment at ./env
if
[
!
-d
"
${
env_dir
}
"
]
;
then
printf
"* Creating a test environment
\n
"
conda create
--prefix
"
${
env_dir
}
"
-y
python
=
"
$PYTHON_VERSION
"
fi
conda activate
"
${
env_dir
}
"
# 3. Install Conda dependencies
printf
"* Installing dependencies (except PyTorch)
\n
"
conda
env
update
--file
"
${
this_dir
}
/environment.yml"
--prune
# 4. Downgrade setuptools on Python 3.7.
# See https://github.com/pytorch/vision/pull/5868
if
[[
"
${
PYTHON_VERSION
}
"
==
'3.7'
]]
;
then
pip
install
--upgrade
setuptools
==
58.0.4
fi
.circleci/unittest/windows/scripts/vc_env_helper.bat
deleted
100644 → 0
View file @
285500d6
@echo
on
set
VC_VERSION_LOWER
=
16
set
VC_VERSION_UPPER
=
17
for
/f
"usebackq tokens=*"
%%i
in
(
`"
%ProgramFiles
(x86)
%
\Microsoft Visual Studio\Installer\vswhere.exe" -legacy -products * -version [
%VC_VERSION_LOWER%
^,
%VC_VERSION_UPPER%
^)
-property installationPath`
)
do
(
if
exist
"
%%i
"
if
exist
"
%%i
\VC\Auxiliary\Build\vcvarsall.bat"
(
set
"VS15INSTALLDIR=
%%i
"
set
"VS15VCVARSALL=
%%i
\VC\Auxiliary\Build\vcvarsall.bat"
goto
vswhere
)
)
:vswhere
if
"
%VSDEVCMD_ARGS%
"
==
""
(
call
"
%VS1
5VCVARSALL
%
"
x64
||
exit
/b
1
)
else
(
call
"
%VS1
5VCVARSALL
%
"
x64
%VSDEVCMD_ARGS%
||
exit
/b
1
)
@echo
on
set
DISTUTILS_USE_SDK
=
1
set
args
=
%
1
shift
:start
if
[
%
1
]
==
[]
goto
done
set
args
=
%args%
%
1
shift
goto
start
:done
if
"
%args%
"
==
""
(
echo
Usage
:
vc_env_helper
.bat
[
command
]
[
args
]
echo
e
.g.
vc_env_helper
.bat
cl
/c
test
.cpp
)
%args%
||
exit
/b
1
.gitattributes
View file @
4125d3a0
...
...
@@ -6,6 +6,3 @@
# To ignore it use below
*.ipynb linguist-documentation
# To exclude autogenerated files from code reviews
.circleci/config.yml linguist-generated=true
.
circleci/unittest/linux
/scripts/run-clang-format.py
→
.
github
/scripts/run-clang-format.py
View file @
4125d3a0
File moved
.github/workflows/lint.yml
View file @
4125d3a0
...
...
@@ -61,7 +61,7 @@ jobs:
echo '::group::Lint C source'
set +e
./.
circleci/unittest/linux
/scripts/run-clang-format.py -r torchvision/csrc --clang-format-executable ./clang-format
./.
github
/scripts/run-clang-format.py -r torchvision/csrc --clang-format-executable ./clang-format
if [ $? -ne 0 ]; then
git --no-pager diff
...
...
packaging/README.md
deleted
100644 → 0
View file @
285500d6
# Building torchvision packages for release
TorchVision release packages are built by using
`build_wheel.sh`
and
`build_conda.sh`
for all permutations of
supported operating systems, compute platforms and python versions.
OS/Python/Compute matrix is defined in https://github.com/pytorch/vision/blob/main/.circleci/regenerate.py
packaging/build_cmake.sh
deleted
100755 → 0
View file @
285500d6
#!/bin/bash
set
-ex
PARALLELISM
=
8
if
[
-n
"
$MAX_JOBS
"
]
;
then
PARALLELISM
=
$MAX_JOBS
fi
if
[[
"
$(
uname
)
"
!=
Darwin
&&
"
$OSTYPE
"
!=
"msys"
]]
;
then
eval
"
$(
./conda/bin/conda shell.bash hook
)
"
conda activate ./env
fi
script_dir
=
"
$(
cd
"
$(
dirname
"
${
BASH_SOURCE
[0]
}
"
)
"
>
/dev/null 2>&1
&&
pwd
)
"
.
"
$script_dir
/pkg_helpers.bash"
export
BUILD_TYPE
=
conda
setup_env
export
SOURCE_ROOT_DIR
=
"
$PWD
"
setup_conda_pytorch_constraint
setup_conda_cudatoolkit_plain_constraint
if
[[
"
$OSTYPE
"
==
"msys"
]]
;
then
conda
install
-yq
conda-build cmake future
pip
install
dataclasses
fi
setup_visual_studio_constraint
setup_junit_results_folder
if
[[
"
$(
uname
)
"
==
Darwin
]]
;
then
# TODO: this can be removed as soon as mkl's CMake support works with clang
# see https://github.com/pytorch/vision/pull/4203 for details
MKL_CONSTRAINT
=
'mkl==2021.2.0'
else
MKL_CONSTRAINT
=
''
fi
if
[[
$CONDA_BUILD_VARIANT
==
"cpu"
]]
;
then
PYTORCH_MUTEX_CONSTRAINT
=
'pytorch-mutex=1.0=cpu'
else
PYTORCH_MUTEX_CONSTRAINT
=
''
fi
conda
install
-yq
\p
ytorch
=
$PYTORCH_VERSION
$CONDA_CUDATOOLKIT_CONSTRAINT
$PYTORCH_MUTEX_CONSTRAINT
$MKL_CONSTRAINT
numpy
-c
nvidia
-c
"pytorch-
${
UPLOAD_CHANNEL
}
"
TORCH_PATH
=
$(
dirname
$(
python
-c
"import torch; print(torch.__file__)"
))
if
[[
"
$(
uname
)
"
==
Darwin
||
"
$OSTYPE
"
==
"msys"
]]
;
then
conda
install
-yq
libpng jpeg
else
yum
install
-y
libpng-devel libjpeg-turbo-devel
fi
if
[[
"
$OSTYPE
"
==
"msys"
]]
;
then
source
.circleci/unittest/windows/scripts/set_cuda_envs.sh
fi
mkdir
cpp_build
pushd
cpp_build
# Generate libtorchvision files
cmake ..
-DTorch_DIR
=
$TORCH_PATH
/share/cmake/Torch
-DWITH_CUDA
=
$CMAKE_USE_CUDA
# Compile and install libtorchvision
if
[[
"
$OSTYPE
"
==
"msys"
]]
;
then
"
$script_dir
/windows/internal/vc_env_helper.bat"
"
$script_dir
/windows/internal/build_cmake.bat"
$PARALLELISM
CONDA_PATH
=
$(
dirname
$(
which python
))
cp
-r
"C:/Program Files (x86)/torchvision/include/torchvision"
$CONDA_PATH
/include
else
make
-j
$PARALLELISM
make
install
if
[[
"
$(
uname
)
"
==
Darwin
]]
;
then
CONDA_PATH
=
$(
dirname
$(
dirname
$(
which python
)))
cp
-r
/usr/local/include/torchvision
$CONDA_PATH
/include/
export
C_INCLUDE_PATH
=
/usr/local/include
export
CPLUS_INCLUDE_PATH
=
/usr/local/include
fi
fi
popd
# Install torchvision locally
python setup.py develop
# Trace, compile and run project that uses Faster-RCNN
pushd test
/tracing/frcnn
mkdir
build
# Trace model
python trace_model.py
cp
fasterrcnn_resnet50_fpn.pt build
cd
build
cmake ..
-DTorch_DIR
=
$TORCH_PATH
/share/cmake/Torch
-DWITH_CUDA
=
$CMAKE_USE_CUDA
if
[[
"
$OSTYPE
"
==
"msys"
]]
;
then
"
$script_dir
/windows/internal/vc_env_helper.bat"
"
$script_dir
/windows/internal/build_frcnn.bat"
$PARALLELISM
mv
fasterrcnn_resnet50_fpn.pt Release
cd
Release
export
PATH
=
$(
cygpath
-w
"C:/Program Files/NVIDIA Corporation/NvToolsExt/bin/x64"
)
:
$(
cygpath
-w
"C:/Program Files (x86)/torchvision/bin"
)
:
$(
cygpath
-w
$TORCH_PATH
)
/lib:
$PATH
else
make
-j
$PARALLELISM
fi
# Run traced program
./test_frcnn_tracing
# Compile and run the CPP example
popd
cd
examples/cpp/hello_world
mkdir
build
# Trace model
python trace_model.py
cp
resnet18.pt build
cd
build
cmake ..
-DTorch_DIR
=
$TORCH_PATH
/share/cmake/Torch
if
[[
"
$OSTYPE
"
==
"msys"
]]
;
then
"
$script_dir
/windows/internal/vc_env_helper.bat"
"
$script_dir
/windows/internal/build_cpp_example.bat"
$PARALLELISM
mv
resnet18.pt Release
cd
Release
else
make
-j
$PARALLELISM
fi
# Run CPP example
./hello-world
packaging/build_conda.sh
deleted
100755 → 0
View file @
285500d6
#!/bin/bash
set
-ex
script_dir
=
"
$(
cd
"
$(
dirname
"
${
BASH_SOURCE
[0]
}
"
)
"
>
/dev/null 2>&1
&&
pwd
)
"
.
"
$script_dir
/pkg_helpers.bash"
export
BUILD_TYPE
=
conda
setup_env
export
SOURCE_ROOT_DIR
=
"
$PWD
"
setup_conda_pytorch_constraint
setup_conda_cudatoolkit_constraint
setup_visual_studio_constraint
setup_junit_results_folder
export
CUDATOOLKIT_CHANNEL
=
"nvidia"
conda build
-c
$CUDATOOLKIT_CHANNEL
$CONDA_CHANNEL_FLAGS
--no-anaconda-upload
--no-test
--python
"
$PYTHON_VERSION
"
packaging/torchvision
packaging/build_wheel.sh
deleted
100755 → 0
View file @
285500d6
#!/bin/bash
set
-ex
script_dir
=
"
$(
cd
"
$(
dirname
"
${
BASH_SOURCE
[0]
}
"
)
"
>
/dev/null 2>&1
&&
pwd
)
"
.
"
$script_dir
/pkg_helpers.bash"
export
BUILD_TYPE
=
wheel
setup_env
setup_wheel_python
pip_install numpy pyyaml future ninja
pip_install
--upgrade
setuptools
setup_pip_pytorch_version
python setup.py clean
# Copy binaries to be included in the wheel distribution
if
[[
"
$(
uname
)
"
==
Darwin
||
"
$OSTYPE
"
==
"msys"
]]
;
then
python_exec
=
"
$(
which python
)
"
bin_path
=
$(
dirname
$python_exec
)
env_path
=
$(
dirname
$bin_path
)
if
[[
"
$(
uname
)
"
==
Darwin
]]
;
then
# Install delocate to relocate the required binaries
pip_install
"delocate>=0.9"
else
cp
"
$bin_path
/Library/bin/libpng16.dll"
torchvision
cp
"
$bin_path
/Library/bin/libjpeg.dll"
torchvision
fi
else
# Install auditwheel to get some inspection utilities
pip_install auditwheel
# Point to custom libraries
export
LD_LIBRARY_PATH
=
$(
pwd
)
/ext_libraries/lib:
$LD_LIBRARY_PATH
export
TORCHVISION_INCLUDE
=
$(
pwd
)
/ext_libraries/include
export
TORCHVISION_LIBRARY
=
$(
pwd
)
/ext_libraries/lib
fi
download_copy_ffmpeg
if
[[
"
$OSTYPE
"
==
"msys"
]]
;
then
IS_WHEEL
=
1
"
$script_dir
/windows/internal/vc_env_helper.bat"
python setup.py bdist_wheel
else
IS_WHEEL
=
1 python setup.py bdist_wheel
fi
if
[[
"
$(
uname
)
"
==
Darwin
]]
;
then
pushd
dist/
python_exec
=
"
$(
which python
)
"
bin_path
=
$(
dirname
$python_exec
)
env_path
=
$(
dirname
$bin_path
)
for
whl
in
*
.whl
;
do
DYLD_FALLBACK_LIBRARY_PATH
=
"
$env_path
/lib/:
$DYLD_FALLBACK_LIBRARY_PATH
"
delocate-wheel
-v
--ignore-missing-dependencies
$whl
done
else
if
[[
"
$OSTYPE
"
==
"msys"
]]
;
then
"
$script_dir
/windows/internal/vc_env_helper.bat"
python
$script_dir
/wheel/relocate.py
else
LD_LIBRARY_PATH
=
"/usr/local/lib:
$CUDA_HOME
/lib64:
$LD_LIBRARY_PATH
"
python
$script_dir
/wheel/relocate.py
fi
fi
packaging/vs2017/activate.bat
deleted
100644 → 0
View file @
285500d6
:: Set env vars that tell distutils to use the compiler that we put on path
SET
DISTUTILS_USE_SDK
=
1
SET
MSSdk
=
1
SET
"VS_VERSION=15.0"
SET
"VS_MAJOR=15"
SET
"VS_YEAR=2017"
set
"MSYS2_ARG_CONV_EXCL=/AI;/AL;/OUT;/out"
set
"MSYS2_ENV_CONV_EXCL=CL"
:: For Python 3.5+, ensure that we link with the dynamic runtime. See
:: http://stevedower.id.au/blog/building-for-python-3-5-part-two/ for more info
set
"PY_VCRUNTIME_REDIST=
%PREFIX%
\\bin\\vcruntime140.dll"
for
/f
"usebackq tokens=*"
%%i
in
(
`"
%ProgramFiles
(x86)
%
\Microsoft Visual Studio\Installer\vswhere.exe" -legacy -products * -version [15
^,
16
^)
-property installationPath`
)
do
(
if
exist
"
%%i
"
if
exist
"
%%i
\VC\Auxiliary\Build\vcvarsall.bat"
(
set
"VSINSTALLDIR=
%%i
\"
goto
:vswhere
)
)
:vswhere
:: Shorten PATH to avoid the `input line too long` error.
SET
MyPath
=
%PATH%
setlocal
EnableDelayedExpansion
SET
TempPath
=
"
%MyPath
:;="
;
"
%
"
SET
var
=
FOR
%%a
IN
(
%TempPath%
)
DO
(
IF
EXIST
%%~sa
(
SET
"var=
!var!
;
%%~sa
"
)
)
set
"TempPath=
!
var:~1
!
"
endlocal
&
set
"PATH=
%TempPath%
"
:: Shorten current directory too
FOR
%%A
IN
(
.
)
DO
CD
"
%%~sA
"
:: other things added by install_activate.bat at package build time
packaging/vs2017/conda_build_config.yaml
deleted
100644 → 0
View file @
285500d6
blas_impl
:
-
mkl
# [x86_64]
c_compiler
:
-
vs2017
# [win]
cxx_compiler
:
-
vs2017
# [win]
python
:
-
3.8
# This differs from target_platform in that it determines what subdir the compiler
# will target, not what subdir the compiler package will be itself.
# For example, we need a win-64 vs2008_win-32 package, so that we compile win-32
# code on win-64 miniconda.
cross_compiler_target_platform
:
-
win-64
# [win]
target_platform
:
-
win-64
# [win]
vc
:
-
14
zip_keys
:
-
# [win]
-
vc
# [win]
-
c_compiler
# [win]
-
cxx_compiler
# [win]
packaging/vs2017/install_activate.bat
deleted
100644 → 0
View file @
285500d6
set
YEAR
=
2017
set
VER
=
15
mkdir
"
%PREFIX%
\etc\conda\activate.d"
COPY
"
%RECIPE_DIR%
\activate.bat"
"
%PREFIX%
\etc\conda\activate.d\vs
%YEAR%
_compiler_vars.bat"
IF
"
%cross_compiler_target_platform%
"
==
"win-64"
(
set
"target_platform=amd64"
echo
SET
"CMAKE_GENERATOR=Visual Studio
%VER%
%YEAR%
Win64"
>>
"
%PREFIX%
\etc\conda\activate.d\vs
%YEAR%
_compiler_vars.bat"
echo
pushd
"
%%VSINSTALLDIR%%
"
>>
"
%PREFIX%
\etc\conda\activate.d\vs
%YEAR%
_compiler_vars.bat"
IF
"
%VSDEVCMD_ARGS%
"
==
""
(
echo
CALL
"VC\Auxiliary\Build\vcvarsall.bat"
x64
>>
"
%PREFIX%
\etc\conda\activate.d\vs
%YEAR%
_compiler_vars.bat"
echo
popd
>>
"
%PREFIX%
\etc\conda\activate.d\vs
%YEAR%
_compiler_vars.bat"
echo
pushd
"
%%VSINSTALLDIR%%
"
>>
"
%PREFIX%
\etc\conda\activate.d\vs
%YEAR%
_compiler_vars.bat"
echo
CALL
"VC\Auxiliary\Build\vcvarsall.bat"
x86_amd64
>>
"
%PREFIX%
\etc\conda\activate.d\vs
%YEAR%
_compiler_vars.bat"
)
ELSE
(
echo
CALL
"VC\Auxiliary\Build\vcvarsall.bat"
x64
%VSDEVCMD_ARGS%
>>
"
%PREFIX%
\etc\conda\activate.d\vs
%YEAR%
_compiler_vars.bat"
echo
popd
>>
"
%PREFIX%
\etc\conda\activate.d\vs
%YEAR%
_compiler_vars.bat"
echo
pushd
"
%%VSINSTALLDIR%%
"
>>
"
%PREFIX%
\etc\conda\activate.d\vs
%YEAR%
_compiler_vars.bat"
echo
CALL
"VC\Auxiliary\Build\vcvarsall.bat"
x86_amd64
%VSDEVCMD_ARGS%
>>
"
%PREFIX%
\etc\conda\activate.d\vs
%YEAR%
_compiler_vars.bat"
)
echo
popd
>>
"
%PREFIX%
\etc\conda\activate.d\vs
%YEAR%
_compiler_vars.bat"
)
else
(
set
"target_platform=x86"
echo
SET
"CMAKE_GENERATOR=Visual Studio
%VER%
%YEAR%
"
>>
"
%PREFIX%
\etc\conda\activate.d\vs
%YEAR%
_compiler_vars.bat"
echo
pushd
"
%%VSINSTALLDIR%%
"
>>
"
%PREFIX%
\etc\conda\activate.d\vs
%YEAR%
_compiler_vars.bat"
echo
CALL
"VC\Auxiliary\Build\vcvars32.bat"
>>
"
%PREFIX%
\etc\conda\activate.d\vs
%YEAR%
_compiler_vars.bat"
echo
popd
)
packaging/vs2017/install_runtime.bat
deleted
100644 → 0
View file @
285500d6
set
VC_PATH
=
x86
if
"
%ARCH%
"
==
"64"
(
set
VC_PATH
=
x64
)
set
MSC_VER
=
2017
rem :: This should always be present for VC installed with VS. Not sure about VC installed with Visual C++ Build Tools 2015
rem FOR /F "usebackq tokens=3*" %%A IN (`REG QUERY "HKEY_LOCAL_MACHINE\Software\Microsoft\DevDiv\VC\Servicing\14.0\IDE.x64" /v UpdateVersion`) DO (
rem set SP=%%A
rem )
rem if not "%SP%" == "%PKG_VERSION%" (
rem echo "Version detected from registry: %SP%"
rem echo "does not match version of package being built (%PKG_VERSION%)"
rem echo "Do you have current updates for VS 2015 installed?"
rem exit 1
rem )
REM ========== REQUIRES Win 10 SDK be installed, or files otherwise copied to location below!
robocopy
"C:\Program Files (x86)\Windows Kits\10\Redist\ucrt\DLLs\
%VC_PATH%
"
"
%LIBRARY_BIN%
"
*
.dll
/E
robocopy
"C:\Program Files (x86)\Windows Kits\10\Redist\ucrt\DLLs\
%VC_PATH%
"
"
%PREFIX%
"
*
.dll
/E
if
%ERRORLEVEL%
GEQ
8
exit
1
REM ========== This one comes from visual studio 2017
set
"VC_VER=141"
for
/f
"usebackq tokens=*"
%%i
in
(
`"
%ProgramFiles
(x86)
%
\Microsoft Visual Studio\Installer\vswhere.exe" -legacy -products * -version [15
^,
16
^)
-property installationPath`
)
do
(
if
exist
"
%%i
"
if
exist
"
%%i
\VC\Auxiliary\Build\vcvarsall.bat"
(
set
"VS15VCVARSALL=
%%i
\VC\Auxiliary\Build\vcvarsall.bat"
goto
:eof
)
)
@setlocal
call
"
%VS1
5VARSALL
%
"
x64
set
"REDIST_ROOT=
%VCToolsRedistDir%%
VC_PATH
%
"
robocopy
"
%REDIST_ROOT%
\Microsoft.VC
%VC_VER%
.CRT"
"
%LIBRARY_BIN%
"
*
.dll
/E
if
%ERRORLEVEL%
LSS
8
exit
0
robocopy
"
%REDIST_ROOT%
\Microsoft.VC
%VC_VER%
.CRT"
"
%PREFIX%
"
*
.dll
/E
if
%ERRORLEVEL%
LSS
8
exit
0
robocopy
"
%REDIST_ROOT%
\Microsoft.VC
%VC_VER%
.OpenMP"
"
%LIBRARY_BIN%
"
*
.dll
/E
if
%ERRORLEVEL%
LSS
8
exit
0
robocopy
"
%REDIST_ROOT%
\Microsoft.VC
%VC_VER%
.OpenMP"
"
%PREFIX%
"
*
.dll
/E
if
%ERRORLEVEL%
LSS
8
exit
0
@endlocal
packaging/vs2017/meta.yaml
deleted
100644 → 0
View file @
285500d6
{
%
set vcver="14.1" %
}
{
%
set vcfeature="14" %
}
{
%
set vsyear="2017" %
}
{
%
set fullver="15.4.27004.2010" %
}
package
:
name
:
vs{{ vsyear }}
version
:
{{
fullver
}}
build
:
skip
:
True [not win]
script_env
:
-
VSDEVCMD_ARGS
# [win]
outputs
:
-
name
:
vs{{ vsyear }}_{{ cross_compiler_target_platform }}
script
:
install_activate.bat
track_features
:
# VS 2017 is binary-compatible with VS 2015/vc14. Tools are "v141".
strong
:
-
vc{{ vcfeature }}
about
:
summary
:
Activation and version verification of MSVC {{ vcver }} (VS {{ vsyear }}) compiler
license
:
BSD 3-clause
packaging/vs2019/install_runtime.bat
deleted
100644 → 0
View file @
285500d6
set
VC_PATH
=
x86
if
"
%ARCH%
"
==
"64"
(
set
VC_PATH
=
x64
)
set
MSC_VER
=
2019
rem :: This should always be present for VC installed with VS. Not sure about VC installed with Visual C++ Build Tools 2015
rem FOR /F "usebackq tokens=3*" %%A IN (`REG QUERY "HKEY_LOCAL_MACHINE\Software\Microsoft\DevDiv\VC\Servicing\14.0\IDE.x64" /v UpdateVersion`) DO (
rem set SP=%%A
rem )
rem if not "%SP%" == "%PKG_VERSION%" (
rem echo "Version detected from registry: %SP%"
rem echo "does not match version of package being built (%PKG_VERSION%)"
rem echo "Do you have current updates for VS 2015 installed?"
rem exit 1
rem )
REM ========== REQUIRES Win 10 SDK be installed, or files otherwise copied to location below!
robocopy
"C:\Program Files (x86)\Windows Kits\10\Redist\ucrt\DLLs\
%VC_PATH%
"
"
%LIBRARY_BIN%
"
*
.dll
/E
robocopy
"C:\Program Files (x86)\Windows Kits\10\Redist\ucrt\DLLs\
%VC_PATH%
"
"
%PREFIX%
"
*
.dll
/E
if
%ERRORLEVEL%
GEQ
8
exit
1
REM ========== This one comes from visual studio 2019
set
"VC_VER=142"
for
/f
"usebackq tokens=*"
%%i
in
(
`"
%ProgramFiles
(x86)
%
\Microsoft Visual Studio\Installer\vswhere.exe" -legacy -products * -version [16
^,
17
^)
-property installationPath`
)
do
(
if
exist
"
%%i
"
if
exist
"
%%i
\VC\Auxiliary\Build\vcvarsall.bat"
(
set
"VS15VCVARSALL=
%%i
\VC\Auxiliary\Build\vcvarsall.bat"
goto
:eof
)
)
@setlocal
call
"
%VS1
5VARSALL
%
"
x64
set
"REDIST_ROOT=
%VCToolsRedistDir%%
VC_PATH
%
"
robocopy
"
%REDIST_ROOT%
\Microsoft.VC
%VC_VER%
.CRT"
"
%LIBRARY_BIN%
"
*
.dll
/E
if
%ERRORLEVEL%
LSS
8
exit
0
robocopy
"
%REDIST_ROOT%
\Microsoft.VC
%VC_VER%
.CRT"
"
%PREFIX%
"
*
.dll
/E
if
%ERRORLEVEL%
LSS
8
exit
0
robocopy
"
%REDIST_ROOT%
\Microsoft.VC
%VC_VER%
.OpenMP"
"
%LIBRARY_BIN%
"
*
.dll
/E
if
%ERRORLEVEL%
LSS
8
exit
0
robocopy
"
%REDIST_ROOT%
\Microsoft.VC
%VC_VER%
.OpenMP"
"
%PREFIX%
"
*
.dll
/E
if
%ERRORLEVEL%
LSS
8
exit
0
@endlocal
packaging/windows/internal/driver_update.bat
deleted
100644 → 0
View file @
285500d6
set
"DRIVER_DOWNLOAD_LINK=https://ossci-windows.s3.amazonaws.com/461.09-data-center-tesla-desktop-winserver-2019-2016-international.exe"
curl
--retry
3
-kL
%DRIVER_DOWNLOAD_LINK%
--output
461
.09
-data-center-tesla-desktop-winserver
-
2019
-
2016
-international
.exe
if
errorlevel
1
exit
/b
1
start
/wait
461
.09
-data-center-tesla-desktop-winserver
-
2019
-
2016
-international
.exe
-s -noreboot
if
errorlevel
1
exit
/b
1
del
461
.09
-data-center-tesla-desktop-winserver
-
2019
-
2016
-international
.exe
||
ver
>
NUL
setlocal
EnableDelayedExpansion
set
NVIDIA_GPU_EXISTS
=
0
for
/F
"delims="
%%i
in
(
'wmic path win32_VideoController get name'
)
do
(
set
GPUS
=
%%i
if
not
"x
!
GPUS:NVIDIA=
!
"
==
"x
!GPUS!
"
(
SET
NVIDIA_GPU_EXISTS
=
1
goto
gpu_check_end
)
)
:gpu
_check_end
endlocal
&
set
NVIDIA_GPU_EXISTS
=
%NVIDIA_GPU_EXISTS%
if
"
%NVIDIA_GPU_EXISTS%
"
==
"0"
(
echo
"CUDA Driver installation Failed"
exit
/b
1
)
packaging/windows/internal/vs2017_install.ps1
deleted
100644 → 0
View file @
285500d6
$VS_DOWNLOAD_LINK
=
"https://aka.ms/vs/15/release/vs_buildtools.exe"
$VS_INSTALL_ARGS
=
@(
"--nocache"
,
"--quiet"
,
"--wait"
,
"--add Microsoft.VisualStudio.Workload.VCTools"
,
"--add Microsoft.VisualStudio.Component.VC.Tools.14.13"
,
"--add Microsoft.Component.MSBuild"
,
"--add Microsoft.VisualStudio.Component.Roslyn.Compiler"
,
"--add Microsoft.VisualStudio.Component.TextTemplating"
,
"--add Microsoft.VisualStudio.Component.VC.CoreIde"
,
"--add Microsoft.VisualStudio.Component.VC.Redist.14.Latest"
,
"--add Microsoft.VisualStudio.ComponentGroup.NativeDesktop.Core"
,
"--add Microsoft.VisualStudio.Component.VC.Tools.x86.x64"
,
"--add Microsoft.VisualStudio.ComponentGroup.NativeDesktop.Win81"
)
curl.exe
--retry
3
-kL
$VS_DOWNLOAD_LINK
--output
vs_installer.exe
if
(
$LASTEXITCODE
-ne
0
)
{
echo
"Download of the VS 2017 installer failed"
exit
1
}
$process
=
Start-Process
"
${PWD}
\vs_installer.exe"
-ArgumentList
$VS_INSTALL_ARGS
-NoNewWindow
-Wait
-PassThru
Remove-Item
-Path
vs_installer.exe
-Force
$exitCode
=
$process
.
ExitCode
if
((
$exitCode
-ne
0
)
-and
(
$exitCode
-ne
3010
))
{
echo
"VS 2017 installer exited with code
$exitCode
, which should be one of [0, 3010]."
exit
1
}
packaging/windows/internal/vs2019_install.ps1
deleted
100644 → 0
View file @
285500d6
$VS_DOWNLOAD_LINK
=
"https://aka.ms/vs/16/release/vs_buildtools.exe"
$VS_INSTALL_ARGS
=
@(
"--nocache"
,
"--quiet"
,
"--wait"
,
"--add Microsoft.VisualStudio.Workload.VCTools"
,
"--add Microsoft.Component.MSBuild"
,
"--add Microsoft.VisualStudio.Component.Roslyn.Compiler"
,
"--add Microsoft.VisualStudio.Component.VC.CoreBuildTools"
,
"--add Microsoft.VisualStudio.Component.VC.Redist.14.Latest"
,
"--add Microsoft.VisualStudio.Component.VC.Tools.x86.x64"
)
curl.exe
--retry
3
-kL
$VS_DOWNLOAD_LINK
--output
vs_installer.exe
if
(
$LASTEXITCODE
-ne
0
)
{
echo
"Download of the VS 2019 installer failed"
exit
1
}
$process
=
Start-Process
"
${PWD}
\vs_installer.exe"
-ArgumentList
$VS_INSTALL_ARGS
-NoNewWindow
-Wait
-PassThru
Remove-Item
-Path
vs_installer.exe
-Force
$exitCode
=
$process
.
ExitCode
if
((
$exitCode
-ne
0
)
-and
(
$exitCode
-ne
3010
))
{
echo
"VS 2019 installer exited with code
$exitCode
, which should be one of [0, 3010]."
exit
1
}
Prev
1
2
Next
Write
Preview
Markdown
is supported
0%
Try again
or
attach a new file
.
Attach a file
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Cancel
Please
register
or
sign in
to comment